namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "teravolt")]
public class TeravoltEffect : Script, IScriptOnBeforeAnyHookInvoked, IScriptOnEndTurn
{
    /// <inheritdoc />
    public void OnBeforeAnyHookInvoked(ref List<ScriptCategory>? suppressedCategories)
    {
        suppressedCategories ??= [];
        suppressedCategories.Add(ScriptCategory.Ability);
    }

    /// <inheritdoc />
    public void OnEndTurn(IScriptSource owner, IBattle battle)
    {
        RemoveSelf();
    }
}